[ic] Interchange on Debian Sarge

Marco Mescoli m.mescoli at omnib.it
Thu Oct 20 11:06:27 EDT 2005

> > My problem is to install not threaded perl 5.6.1 and remove or hide
> > perl 5.8.4
> Marco,
> 1) You do not want to run 5.6.1, you want to run whatever is the latest
>    as long as it is non-threaded
> 2) You can't remove or hide system Perl installation (too many things
>    on it). What you can do, however, is install non-threaded Perl in a
>    location (say, /usr/local/) and then inside Interchange source run
>    /usr/local/bin/perl Makefile.PL
>    make && make test && make install

Downloaded perl source 5.8.4, not thread compiled and installed in
alternative dir: OK,
compiled and installed interchange sources 4.9.8  (I MUST work with this
release) with Bundle::Interchange
calling /usr/local/bin/perl not threaded version as you say with previous.
It seems all ok even with mysql  but the UI admin pages not work:

| ... errno 22, key "kaccess.main" at ..../Vend/Table/Common.pm line 432,
<IN> line 3.|

I have digged mailing list and found Mike Heins reply: "for this problem you
must change perl"
It seems a problem about "gdbm" perl module.

Now: ? Install and compile unthreaded perl 5.6.1 in a enviroment with
threaded perl 5.8.4 ?
Not a good idea as you say.

Trash Debian Sarge and install Debian Woody ?
Possible but a lot of work lost.

... ?

Thanks Marco

More information about the interchange-users mailing list